std::experimental::nonesuch(3)

NAME
std::experimental::nonesuch - std::experimental::nonesuch

Synopsis
   Defined in header <experimental/type_traits>
   struct nonesuch {
   ~nonesuch() = delete;
   nonesuch(nonesuch const&) = delete; (library fundamentals TS v2)
   void operator=(nonesuch const&) = delete;
   };
   std::experimental::nonesuch is a class type used by std::experimental::detected_t to
   indicate detection failure.
   nonesuch has no default constructor or initializer-list constructor, and is not an
   aggregate.

Notes
   nonesuch cannot be constructed, destroyed, or copied.
  Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
      DR Applied to Behavior as published Correct behavior
   LWG 2960 LFTSv2 nonesuch may be an aggregate and has an made non-aggregate and
                       implicit conversion sequence from {} removed ICS